import Model from '@tripian/model';
declare class Cached {
    /**
     ******************************************************************************
     *
     * Cities
     *
     */
    static cities: (lang: Model.LangCodeKey) => Model.City[] | undefined;
    static city: (lang: Model.LangCodeKey, cityId: number) => Model.City | undefined;
    /**
     ******************************************************************************
     *
     * Feedbacks
     *
     */
    static feedbacks: (lang: Model.LangCodeKey) => Model.Feedbacks | undefined;
    static userFeedbacks: (lang: Model.LangCodeKey) => Model.UserFeedback[] | undefined;
    /**
     ******************************************************************************
     *
     * POIS Categories
     *
     */
    static poiCategories: (lang: Model.LangCodeKey) => Model.PoiCategory[] | undefined;
    /**
     ******************************************************************************
     *
     * POIS Category Tags
     *
     */
    static autoCompleteTagsAll: (lang: Model.LangCodeKey, cityId: number, poiCategories: string) => {
        id: number;
        name: string;
    }[] | undefined;
    /**
     ******************************************************************************
     *
     * POI
     *
     */ static poi: (lang: Model.LangCodeKey, poiId: string) => Model.Poi | undefined;
    static pois: (lang: Model.LangCodeKey, showOffersOnly: number, poiIds: string[]) => Model.Poi[] | undefined;
    static poisAll: (lang: Model.LangCodeKey, cityId: number, poiCategories: string, showOffersOnly: number) => Model.DataPayload<Model.Poi[]> | undefined;
    /**
     ******************************************************************************
     *
     * User
     *
     */
    static user: () => Model.User | undefined;
    /**
     ******************************************************************************
     *
     * Favorites
     *
     */
    static favorites: (lang: Model.LangCodeKey, cityId?: number) => Model.Favorite[] | undefined;
    /**
     ******************************************************************************
     *
     * Companions
     *
     */
    static companions: (lang: Model.LangCodeKey) => Model.Companion[] | undefined;
    /**
     ******************************************************************************
     *
     * Notifications
     *
     */
    /**
     ******************************************************************************
     *
     * Reservations
     *
     */
    static reservations: (lang: Model.LangCodeKey, cityId?: number) => Model.UserReservation[] | undefined;
    /**
     ******************************************************************************
     *
     * User-Reactions
     *
     */
    static userReactions: (lang: Model.LangCodeKey, tripHash?: string) => Model.UserReaction[] | undefined;
    /**
     ******************************************************************************
     *
     * Questions
     *
     */
    static questions: (lang: Model.LangCodeKey, qDataKey: string) => Model.Question[] | undefined;
    /**
     ******************************************************************************
     *
     * TripRefs
     *
     */
    static tripRefs: () => Model.TripReference[] | undefined;
    static tripSavedRefs: () => Model.TripReference[] | undefined;
    static tripRef: (tripHash: string) => Model.TripReference | undefined;
    /**
     ******************************************************************************
     *
     * Trip
     *
     */
    static trip: (lang: Model.LangCodeKey, tripHash: string, minDayIndex: number) => Model.Trip | undefined;
    static plan: (lang: Model.LangCodeKey, planId: number) => Model.Plan | undefined;
    static topTen: (lang: Model.LangCodeKey, cityId: number) => Model.TopTen[] | undefined;
}
export default Cached;
